## libcairo 1.2.4-4osso3

=== debian/changelog ===
libcairo (1.2.4-4osso3) unstable; urgency=low

  * debian/libcairo2-dev.install: remove the .la files

 -- Tommi Komulainen <tommi.komulainen@nokia.com>  Mon,  4 Dec 2006 12:20:41 +0200

libcairo (1.2.4-4osso2) unstable; urgency=low

  * Add debugging symbols
    - debian/control: Add libcairo2-dbg package
    - debian/rules: update call to dh_strip
  * debian/rules:
    - always pass --host and --build to configure
    - add -i's and -a's to debhelper commands to handle binary-indep properly

 -- Tommi Komulainen <tommi.komulainen@nokia.com>  Mon,  4 Dec 2006 12:10:27 +0200

libcairo (1.2.4-4osso1) unstable; urgency=low

  * Set myself as Maintainer
  * Drop the directfb and the udeb
    - debian/control:
      + remove libdirectfb-dev from Build-Depends
      + remove *directfb* packages
    - debian/rules:
      + remove rules for udeb and mentions of directfb
    - debian/libcairo-directfb2*: removed
  * Lower debhelper dependency to (>> 4.0.0)
    - debian/control: update Build-Depends
    - debian/rules: DH_COMPAT=4
  * Lower pkg-config dependency to (>= 0.17)
    - NOTE: this might break cairo.pc using Require.private
    - debian/control: update Build-Depends
  * Remove dependency to xutils-dev
    - debian/control: update Build-Depends

 -- Tommi Komulainen <tommi.komulainen@nokia.com>  Fri,  3 Nov 2006 15:02:02 +0200

libcairo (1.2.4-4) unstable; urgency=medium

  * Acknowledge NMU.
  * Urgency medium since RC bugs are acknowledged.
  * Patch 01-cairo_xlib_surface_add_glyph.patch added in
    experimental confirmed fixes powerpc X byte copy crash
    for bug #388116 which was closed by email after an NMU.
  * Enable PDF and PS for the cairo+directfb build in unstable (Closes: #383297)
  * Bump libcairo-directfb2's shlibs to >= 1.2.4-4 for the addition of
    PDF and PS related symbols to the cairo+directfb lib. (Closes: #387289)
  * Remove libcairo.la references to other .la files to aid future
    removal of all .la files.

 -- Dave Beckett <dajobe@debian.org>  Thu, 19 Oct 2006 22:41:56 -0700

libcairo (1.2.4-3.2) experimental; urgency=low

  * NMU
  * Re-upload to get the changes from -2 in experimental, that is
    building cairo+directfb with PS and PDF support (needed by
    Gtk+2.10+directfb).
  * Bump libcairo-directfb shlibs to >= 1.2.4-3.2 so that packages depending
    on the new +directfb things get the right dep.

 -- Marc 'HE' Brockschmidt <he@debian.org>  Wed, 18 Oct 2006 11:09:16 +0200

libcairo (1.2.4-3.1) unstable; urgency=low

  * NMU
  * Upload with 01-cairo_xlib_surface_add_glyph.patch but without
    the directfb changes from -2. The patch fixes the segfault caused
    by a broken loop condition (c >= 0 works like, eh, always after
    doing "unsigned int c"...). (Closes: #388116)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun, 15 Oct 2006 16:25:06 +0200 

libcairo (1.2.4-3) experimental; urgency=low

  * Added patch 01-cairo_xlib_surface_add_glyph.patch from upstream git
    attempting to fix 388116

 -- Dave Beckett <dajobe@debian.org>  Sun,  8 Oct 2006 11:08:23 -0700

libcairo (1.2.4-2) experimental; urgency=low

  * Enable PDF and PS for the cairo+directfb build in order to
    allow GTK 2.10+directfb to build (Closes: #383297)

 -- Dave Beckett <dajobe@debian.org>  Sun,  3 Sep 2006 13:24:31 -0700

libcairo (1.2.4-1) unstable; urgency=low

  * New upstream release.
  * Remove double call to dh_installdocs (Closes: #382594)
  * Submit to override for libcairo2-doc, changing to section libs.

 -- Dave Beckett <dajobe@debian.org>  Fri, 18 Aug 2006 18:11:00 -0700

libcairo (1.2.2-1) unstable; urgency=medium

  * New upstream release.
  * This version again handles BGR X server visuals such as used by
    Exceed and VNC  (Closes: #376858)
  * Removed patches taken from upstream git:
    -  cairo-bug-7494.patch
    -  cairo-bug-7514.patch
  * Build-Depend on xutils-dev and libxt-dev since the test for the
    presence of X in the latest configure (as generated by autoconf 2.60)
    uses xmkmf and checks for libxt-dev even though neither are used by
    Cairo.

 -- Dave Beckett <dajobe@debian.org>  Tue,  8 Aug 2006 23:59:01 -0700

libcairo (1.2.0-5) unstable; urgency=medium

  * Rebuild against directfb 0.9.25 which has changed library and udeb
    package names from 0.9.24 that all earlier cairos were built against,
    and which are now removed.  This should prevent Cairo from becoming
    uninstallable due to this change.  Urgency medium due to this.

 -- Dave Beckett <dajobe@debian.org>  Wed,  2 Aug 2006 22:04:17 -0700

libcairo (1.2.0-4) unstable; urgency=medium

  * Added patch cairo-bug-7494.patch (Closes: #378005)
  * Added patch cairo-bug-7514.patch (Closes: #380064)

 -- Dave Beckett <dajobe@debian.org>  Tue,  1 Aug 2006 22:29:04 -0700

libcairo (1.2.0-3) unstable; urgency=low

  * Add libsm-dev to Build-Depends and libcairo2-dev depends to pull in
    libSM and libICE (Closes: #377259)
  * Remove unused libxrender-dev Depends from libcairo-directfb2-dev

 -- Dave Beckett <dajobe@debian.org>  Sun,  9 Jul 2006 16:36:10 -0700

libcairo (1.2.0-2) unstable; urgency=low

  * Remove libcairo2-dev depending on libdirectfb-dev (Closes: 376691)

 -- Dave Beckett <dajobe@debian.org>  Tue,  4 Jul 2006 10:45:33 -0700

libcairo (1.2.0-1) unstable; urgency=low

  * New upstream release.

 -- Dave Beckett <dajobe@debian.org>  Sat,  1 Jul 2006 19:43:51 -0700

libcairo (1.1.10-3) experimental; urgency=low

  * First upload of 1.1.x series to debian experimental
  * Remove patch 02-no-ft-glyphslot-embolden.patch (was for bug #325526)
    and depend on a new enough libfreetype6 (2.1.10) which is already in
    testing.
  * Removed Build-Depend on libxml2 for creating SVG as that has been
    rewritten.
  * Added libcairo2 Conflicts and Replaces libcairo1 (Closes: #366755)

 -- Dave Beckett <dajobe@debian.org>  Wed, 28 Jun 2006 19:04:10 -0700

libcairo (1.1.10-2) experimental; urgency=low

  * Add -Wl,-rpath,${libdir} to libcairo-directfb pkgconfig to make the

