## libcairo 1.2.4-4osso4

=== debian/changelog ===
libcairo (1.2.4-4osso4) unstable; urgency=low

  * debian/rules: Add missing dh_install -i to package the documentation

 -- Tommi Komulainen <tommi.komulainen@nokia.com>  Wed, 21 Mar 2007 13:58:21 +0200
