=== debian/rules ===
--- 
+++ 
@@ -122,6 +122,7 @@
 binary-indep: build install
 	dh_testdir -i
 	dh_testroot -i
+	dh_install -i
 	dh_installdocs -i -A TODO README NEWS AUTHORS
 	dh_installchangelogs -i ChangeLog
 	dh_compress -i
