=== debian/control ===
Source: libcairo
Section: libs
Priority: optional
Maintainer: Tommi Komulainen <tommi.komulainen@nokia.com>
Build-Depends: debhelper (>= 4.0.0), autotools-dev, pkg-config (>= 0.17), libfontconfig1-dev, libfreetype6-dev (>=2.1.10), libxrender-dev (>=0.6.0), libx11-dev, libpng12-dev, libsm-dev, libxt-dev, dpatch
Standards-Version: 3.7.2

Package: libcairo2-dev
Provides: libcairo-dev
Conflicts: libcairo-dev, libcairo0.5.1-dev, libcairo0.6.0-dev, libcairo0.9.0-dev
Replaces: libcairo0.5.1-dev, libcairo0.6.0-dev, libcairo0.9.0-dev
Suggests: libcairo2-doc
Section: libdevel
Architecture: any
Depends: libcairo2 (= ${Source-Version}), libfontconfig1-dev, libfreetype6-dev (>=2.1.10), libxrender-dev (>=0.6.0), libpng12-dev, libsm-dev
Description: Development files for the Cairo 2D graphics library
 Cairo is a multi-platform library providing anti-aliased
 vector-based rendering for multiple target backends.
 .
 This package contains the development libraries, header files needed by
 programs that want to compile with Cairo.

Package: libcairo2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Provides: libcairo
Conflicts: libcairo1
Replaces: libcairo0.5.1, libcairo0.6.0, libcairo0.9.0, libcairo1
Description: The Cairo 2D vector graphics library
 Cairo is a multi-platform library providing anti-aliased
 vector-based rendering for multiple target backends. Paths consist
 of line segments and cubic splines and can be rendered at any width
 with various join and cap styles. All colors may be specified with
 optional translucence (opacity/alpha) and combined using the
 extended Porter/Duff compositing algebra as found in the X Render
 Extension.
 .
 Cairo exports a stateful rendering API similar in spirit to the path
 construction, text, and painting operators of PostScript, (with the
 significant addition of translucence in the imaging model). When
 complete, the API is intended to support the complete imaging model of
 PDF 1.4.
 .
 This package contains the shared libraries.

Package: libcairo2-doc
Section: libs
Architecture: all
Depends: lynx | www-browser
Conflicts: libcairo0.5.1-doc, libcairo0.6.0-doc, libcairo0.9.0-doc
Replaces: libcairo0.5.1-doc, libcairo0.6.0-doc, libcairo0.9.0-doc
Description: Documentation for the Cairo Multi-platform 2D graphics library
 Cairo is a multi-platform library providing anti-aliased
 vector-based rendering for multiple target backends.
 .
 This package contains the HTML documentation for the Cairo library
 in /usr/share/doc/libcairo2-doc/ .

Package: libcairo2-dbg
Section: libdevel
Architecture: any
Depends: libcairo2 (= ${Source-Version})
Description: Debugging symbols for the Cairo 2D graphics library
 Cairo is a multi-platform library providing anti-aliased
 vector-based rendering for multiple target backends.
 .
 This package contains symbol tables for debugging.
