## libcairo 1.4.6-0osso1

=== debian/changelog ===
libcairo (1.4.6-0osso1) unstable; urgency=low

  * New upstream release. 

 -- Xan Lopez <xan.lopez@nokia.com>  Mon, 14 May 2007 17:51:59 +0300
