## libcairo 1.4.10-0osso1

=== debian/changelog ===
libcairo (1.4.10-0osso1) unstable; urgency=low

  * New upstream release.
  * Basically gives us a solid 10-15% improvement in text rendering speed.

 -- Michael Dominic Kostrzewa <michael.kostrzewa@nokia.com>  Wed, 22 Aug 2007 16:25:31 +0300
