=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: libcairo
 Section: libs
 Priority: optional
-Maintainer: Xan Lopez <xan.lopez@nokia.com>
+Maintainer: Michael Dominic Kostrzewa <michael.kostrzewa@nokia.com>
 Build-Depends: debhelper (>= 4.0.0), autotools-dev, pkg-config (>= 0.17), libfontconfig1-dev, libfreetype6-dev (>=2.1.10), libxrender-dev (>=0.6.0), libx11-dev, libpng12-dev, libsm-dev, libxt-dev, dpatch
 Standards-Version: 3.7.2
